var map;
var idInfoBoxAberto;
var infoBox = [];
var markers = [];

//CARACTERISTICAS DO MAPA - INICIO
function initialize() {

 var styles = [
    {
      stylers: [
        { hue: "#00ffe6" },
        { saturation: -100 },
        { gamma: 5 }
      ]
    },{
      featureType: "road",
      elementType: "geometry",
      stylers: [
        { lightness: 100 },
        { visibility: "simplified" }
      ]
    },{
      featureType: "road",
      elementType: "labels",
      stylers: [
        { visibility: "on" }
      ]
    }
  ];


 var styledMap = new google.maps.StyledMapType(styles,
    {name: "Styled Map"});

    //COORDENADAS INICIAIS SE MAPA VAZIO	
    var latlng = new google.maps.LatLng( -5.027656, -42.811056);
	
    var options = {  	
	zoom: 14,	
	center: latlng,

 mapTypeControlOptions: {
      mapTypeIds: [google.maps.MapTypeId.ROADMAP, 'map_style']
    }
    };

    map = new google.maps.Map(document.getElementById("mapa"), options);

    map.mapTypes.set('map_style', styledMap);
    map.setMapTypeId('map_style');

}
//CARACTERISTICAS DO MAPA - FIM


initialize(); 

function carregarPontos() {
	
	$.getJSON('js/pontos.json', function(pontos) {
		
		var latlngbounds = new google.maps.LatLngBounds();
		
		$.each(pontos, function(index, ponto) {
			
			var marker = new google.maps.Marker({
				position: new google.maps.LatLng(ponto.Latitude, ponto.Longitude),
				title: ponto.nome,
		                map: map
				//DESATIVA O ICONE PERSONALIZADO
				//icon: 'img/marcador.png'		

			});
			
			var myOptions = {
				content: "<p>" + ponto.nome + "</p>",
				pixelOffset: new google.maps.Size(20, -55),
				boxStyle: {opacity: 0.85,width: "200px"},
				//ATIVA DESATIVA INFOBOX
				isHidden: false				
        	};

			infoBox[ponto.nome] = new InfoBox(myOptions);
			infoBox[ponto.nome].marker = marker;
			
			infoBox[ponto.nome].listener = google.maps.event.addListener(marker, 'click', function (e) {				
				abrirInfoBox(ponto.nome, marker);
				ib.open(map, this);
			});

			var ib = new InfoBox(myOptions);
			ib.open(map, marker);			

			markers.push(marker);
			
			latlngbounds.extend(marker.position);
			
		});
		
		//AGRUPA ou DESAGRUPA OS PONTOS
		//var markerCluster = new MarkerClusterer(map, markers);
		
		map.fitBounds(latlngbounds);
		
	});
	
}

carregarPontos();